Skip to main content
`Ctrl`+`K`

# TSRKSetType

Set the type of the `TSRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKSetType(TS ts, TSRKType rktype)

Logically Collective

## Input Parameters

- ts - timestepping context

- rktype - type of `TSRK` scheme

## Options Database Key

- -ts_rk_type - <1fe,2a,3,3bs,4,5f,5dp,5bs>

## See Also

TS: Scalable ODE and DAE Solvers, `TSRKGetType()`, `TSRK`, `TSRKType`, `TSRK1FE`, `TSRK2A`, `TSRK2B`, `TSRK3`, `TSRK3BS`, `TSRK4`, `TSRK5F`, `TSRK5DP`, `TSRK5BS`, `TSRK6VR`, `TSRK7VR`, `TSRK8VR`

## Level

intermediate

## Location

src/ts/impls/explicit/rk/rk.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ml/da/tutorials/ex4.c
src/ml/da/tutorials/ex1.c

## Implementations

TSRKSetType_RK() in src/ts/impls/explicit/rk/rk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages